import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Cancel } from "../../domain/entities";
import { CancelMongoModel, CancelRawModel } from "../dtos/cancel.dto";
export declare class CancelMongoMapper extends MongoMapper<Cancel, CancelMongoModel> {
    constructor();
    toEntity(mongoModel: CancelMongoModel): Cancel;
}
export declare class CancelRawMapper extends MapperImpl<Cancel, CancelRawModel> {
    fromEntity(entity: Cancel): CancelRawModel;
    toEntity(rawModel: CancelRawModel): Cancel;
}
