import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Init } from "../../domain/entities";
import { InitMongoModel, InitRawModel } from "../dtos/init.dto";
export declare class InitMongoMapper extends MongoMapper<Init, InitMongoModel> {
    constructor();
    toEntity(mongoModel: InitMongoModel): Init;
}
export declare class InitRawMapper extends MapperImpl<Init, InitRawModel> {
    fromEntity(entity: Init): InitRawModel;
    toEntity(rawModel: InitRawModel): Init;
}
