"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Approve = void 0;
class Approve {
    key;
    approver;
    dacId;
    id;
    constructor(key, approver, dacId, id) {
        this.key = key;
        this.approver = approver;
        this.dacId = dacId;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            key: this.key,
            approver: this.approver,
            dacId: this.dacId,
        };
    }
    static create(key, approver, dacId, id, rest) {
        const entity = new Approve(key, approver, dacId, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Approve('', '', '');
    }
}
exports.Approve = Approve;
