"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Init = void 0;
class Init {
    sender;
    receiver;
    arb;
    expires;
    memo;
    extReference;
    dacId;
    id;
    constructor(sender, receiver, arb, expires, memo, extReference, dacId, id) {
        this.sender = sender;
        this.receiver = receiver;
        this.arb = arb;
        this.expires = expires;
        this.memo = memo;
        this.extReference = extReference;
        this.dacId = dacId;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            sender: this.sender,
            receiver: this.receiver,
            arb: this.arb,
            expires: this.expires,
            memo: this.memo,
            extReference: this.extReference,
            dacId: this.dacId,
        };
    }
    static create(sender, receiver, arb, expires, memo, extReference, dacId, id, rest) {
        const entity = new Init(sender, receiver, arb, expires, memo, extReference, dacId, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Init('', '', '', new Date(0), '', '', '');
    }
}
exports.Init = Init;
