"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Transfer = void 0;
const aw_antelope_1 = require("@alien-worlds/aw-antelope");
class Transfer {
    from;
    to;
    quantity;
    memo;
    id;
    constructor(from, to, quantity, memo, id) {
        this.from = from;
        this.to = to;
        this.quantity = quantity;
        this.memo = memo;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            from: this.from,
            to: this.to,
            quantity: this.quantity,
            memo: this.memo,
        };
    }
    static create(from, to, quantity, memo, id, rest) {
        const entity = new Transfer(from, to, quantity, memo, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Transfer('', '', aw_antelope_1.Asset.getDefault(), '');
    }
}
exports.Transfer = Transfer;
