"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EscrwWorldsContractServiceImpl = void 0;
const aw_antelope_1 = require("@alien-worlds/aw-antelope");
class EscrwWorldsContractServiceImpl extends aw_antelope_1.AntelopeSmartContractServiceImpl {
    constructor(antelopeRpcSourceImpl, serviceUrl) {
        super(antelopeRpcSourceImpl, serviceUrl, 'escrw.worlds');
    }
    async fetchEscrows(options) {
        const table_key = 'key';
        const tableRowOptions = {
            ...options,
            code: 'escrw.worlds',
            table: 'escrows',
            table_key,
        };
        return options?.limit > 0
            ? await this.getMany(tableRowOptions)
            : await this.getAll(table_key, tableRowOptions);
    }
}
exports.EscrwWorldsContractServiceImpl = EscrwWorldsContractServiceImpl;
