import { MongoDB } from '@alien-worlds/aw-storage-mongodb';
import { AssetMongoModel, AssetRawModel } from '@alien-worlds/aw-antelope';
export type TransferMongoModel = {
    _id?: MongoDB.ObjectId;
    from?: string;
    to?: string;
    quantity?: AssetMongoModel;
    memo?: string;
    [key: string]: unknown;
};
export type TransferRawModel = {
    from?: string;
    to?: string;
    quantity?: AssetRawModel;
    memo?: string;
    [key: string]: unknown;
};
