import { ContractAction, MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { DataEntityType } from '../../domain/entities/escrw-worlds-action';
import { EscrwWorldsActionMongoModel, EscrwWorldsActionRawModel } from '../dtos';
export declare class EscrwWorldsActionMongoMapper extends MongoMapper<ContractAction<DataEntityType>, EscrwWorldsActionMongoModel> {
    fromEntity(entity: ContractAction<DataEntityType>): EscrwWorldsActionMongoModel;
    toEntity(mongoModel: EscrwWorldsActionMongoModel): ContractAction<DataEntityType>;
}
export declare class EscrwWorldsActionProcessorTaskMapper extends MapperImpl<ContractAction<DataEntityType, EscrwWorldsActionRawModel>, EscrwWorldsActionRawModel> {
    fromEntity(entity: ContractAction<DataEntityType, EscrwWorldsActionRawModel>): EscrwWorldsActionRawModel;
    toEntity(rawModel: EscrwWorldsActionRawModel): ContractAction<DataEntityType, EscrwWorldsActionRawModel>;
}
