import { Entity, UnknownObject } from "@alien-worlds/aw-core";
export declare class Init implements Entity {
    sender: string;
    receiver: string;
    arb: string;
    expires: Date;
    memo: string;
    extReference: string;
    dacId: string;
    id?: string;
    constructor(sender: string, receiver: string, arb: string, expires: Date, memo: string, extReference: string, dacId: string, id?: string);
    rest?: UnknownObject;
    toJSON(): UnknownObject;
    static create(sender: string, receiver: string, arb: string, expires: Date, memo: string, extReference: string, dacId: string, id?: string, rest?: UnknownObject): Init;
    static getDefault(): Init;
}
