import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Escrows } from "../../domain/entities";
import { EscrowsMongoModel, EscrowsRawModel } from "../dtos/escrows.dto";
export declare class EscrowsMongoMapper extends MongoMapper<Escrows, EscrowsMongoModel> {
    constructor();
    toEntity(mongoModel: EscrowsMongoModel): Escrows;
}
export declare class EscrowsRawMapper extends MapperImpl<Escrows, EscrowsRawModel> {
    fromEntity(entity: Escrows): EscrowsRawModel;
    toEntity(rawModel: EscrowsRawModel): Escrows;
}
