import { ContractDelta, MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { DataEntityType } from '../../domain/entities/escrw-worlds-delta';
import { EscrwWorldsDeltaMongoModel, EscrwWorldsDeltaRawModel } from '../dtos';
export declare class EscrwWorldsDeltaMongoMapper extends MongoMapper<ContractDelta<DataEntityType>, EscrwWorldsDeltaMongoModel> {
    fromEntity(entity: ContractDelta<DataEntityType>): EscrwWorldsDeltaMongoModel;
    toEntity(mongoModel: EscrwWorldsDeltaMongoModel): ContractDelta<DataEntityType>;
}
export declare class EscrwWorldsDeltaProcessorTaskMapper extends MapperImpl<ContractDelta<DataEntityType, EscrwWorldsDeltaRawModel>, EscrwWorldsDeltaRawModel> {
    fromEntity(entity: ContractDelta<DataEntityType, EscrwWorldsDeltaRawModel>): EscrwWorldsDeltaRawModel;
    toEntity(rawModel: EscrwWorldsDeltaRawModel): ContractDelta<DataEntityType, EscrwWorldsDeltaRawModel>;
}
