import { EscrowsRawModel } from '../deltas/data/dtos';
import { AntelopeRpcSourceImpl, AntelopeSmartContractServiceImpl } from '@alien-worlds/aw-antelope';
import { EscrwWorldsContractService } from './escrw-worlds-contract.service';
import { GetTableRowsOptions, Result } from '@alien-worlds/aw-core';
export declare class EscrwWorldsContractServiceImpl extends AntelopeSmartContractServiceImpl implements EscrwWorldsContractService {
    constructor(antelopeRpcSourceImpl: AntelopeRpcSourceImpl, serviceUrl: string);
    fetchEscrows(options?: GetTableRowsOptions): Promise<Result<EscrowsRawModel[], Error>>;
}
